## freebsd-libs 7.2

=== lib/libcam/Makefile ===
# $FreeBSD$

LIB=		cam
SHLIBDIR?=	/lib
SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c
INCS=		camlib.h

DPADD=		${LIBSBUF}
LDADD=		-lsbuf

MAN=		cam.3 cam_cdbparse.3


MLINKS+=	cam.3 cam_open_device.3 \
		cam.3 cam_open_spec_device.3 \
		cam.3 cam_open_btl.3 \
		cam.3 cam_open_pass.3 \
		cam.3 cam_close_device.3 \
		cam.3 cam_close_spec_device.3 \
		cam.3 cam_getccb.3 \
		cam.3 cam_send_ccb.3 \
		cam.3 cam_freeccb.3 \
		cam.3 cam_path_string.3 \
		cam.3 cam_device_dup.3 \
		cam.3 cam_device_copy.3 \
		cam.3 cam_get_device.3 \
		cam_cdbparse.3 csio_build.3 \
		cam_cdbparse.3 csio_build_visit.3 \
		cam_cdbparse.3 csio_decode.3 \
		cam_cdbparse.3 csio_decode_visit.3 \
		cam_cdbparse.3 buff_decode.3 \
		cam_cdbparse.3 buff_decode_visit.3 \
		cam_cdbparse.3 csio_encode.3 \
		cam_cdbparse.3 csio_encode_visit.3 \
		cam_cdbparse.3 buff_encode_visit.3

.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam

SDIR=		${.CURDIR}/../../sys
CFLAGS+=	-I${.CURDIR} -I${SDIR}

.include <bsd.lib.mk>

=== lib/libdevstat/Makefile ===
# $FreeBSD$

LIB=	devstat
SHLIBDIR?= /lib
# Bump DEVSTAT_USER_API_VER in devstat.h every time this is incremented.
SHLIB_MAJOR= 6
SRCS=	devstat.c
INCS=	devstat.h

DPADD=	${LIBKVM}
LDADD=	-lkvm

MAN=	devstat.3

MLINKS+=devstat.3 devstat_getnumdevs.3 
MLINKS+=devstat.3 devstat_getgeneration.3 
MLINKS+=devstat.3 devstat_getversion.3
MLINKS+=devstat.3 devstat_checkversion.3 
MLINKS+=devstat.3 devstat_getdevs.3 
MLINKS+=devstat.3 devstat_selectdevs.3
MLINKS+=devstat.3 devstat_buildmatch.3 
MLINKS+=devstat.3 devstat_compute_statistics.3
MLINKS+=devstat.3 devstat_compute_etime.3
MLINKS+=devstat.3 getnumdevs.3 
MLINKS+=devstat.3 getgeneration.3 
MLINKS+=devstat.3 getversion.3
MLINKS+=devstat.3 checkversion.3 
MLINKS+=devstat.3 getdevs.3 
MLINKS+=devstat.3 selectdevs.3
MLINKS+=devstat.3 buildmatch.3 
MLINKS+=devstat.3 compute_stats.3
MLINKS+=devstat.3 compute_etime.3

CFLAGS+=-I${.CURDIR}

WARNS?=	2

.include <bsd.lib.mk>

=== lib/libgeom/Makefile ===
# $FreeBSD$

LIB=	geom
SHLIBDIR?= /lib
SRCS+=	geom_getxml.c
SRCS+=	geom_stats.c
SRCS+=	geom_xml2tree.c
SRCS+=	geom_ctl.c
SRCS+=	geom_util.c
INCS=	libgeom.h

CFLAGS += -I${.CURDIR}

WARNS?=	3

DPADD=	${LIBBSDXML} ${LIBSBUF}
LDADD=	-lbsdxml -lsbuf

MAN=	libgeom.3

MLINKS+= \
	libgeom.3 geom_stats_open.3 \
	libgeom.3 geom_stats_close.3 \
	libgeom.3 geom_stats_resync.3 \
	libgeom.3 geom_stats_snapshot_get.3 \
	libgeom.3 geom_stats_snapshot_free.3 \
	libgeom.3 geom_stats_snapshot_timestamp.3 \
	libgeom.3 geom_stats_snapshot_reset.3 \
	libgeom.3 geom_stats_snapshot_next.3 \
	libgeom.3 gctl_get_handle.3 \
	libgeom.3 gctl_ro_param.3 \
	libgeom.3 gctl_rw_param.3 \
	libgeom.3 gctl_issue.3 \
	libgeom.3 gctl_free.3 \
	libgeom.3 gctl_dump.3 \
	libgeom.3 g_close.3 \
	libgeom.3 g_delete.3 \
	libgeom.3 g_flush.3 \
	libgeom.3 g_get_ident.3 \
	libgeom.3 g_get_name.3 \
	libgeom.3 g_mediasize.3 \
	libgeom.3 g_open.3 \
	libgeom.3 g_open_by_ident.3 \
	libgeom.3 g_sectorsize.3

.include <bsd.lib.mk>

=== lib/libkiconv/Makefile ===
# $FreeBSD$

LIB=		kiconv
SHLIBDIR?=	/lib
SRCS=		xlat16_iconv.c xlat16_sysctl.c
SRCS+=		quirks.c

SHLIB_MAJOR=	3

MAN=		kiconv.3

MLINKS+=	kiconv.3 kiconv_add_xlat16_cspair.3 \
		kiconv.3 kiconv_add_xlat16_cspairs.3 \
		kiconv.3 kiconv_add_xlat16_table.3

CFLAGS+=	-I${.CURDIR}/../../sys

.include <bsd.lib.mk>

=== lib/libkvm/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/4/93
# $FreeBSD$

LIB=	kvm
SHLIBDIR?= /lib
CFLAGS+=-DLIBC_SCCS -I${.CURDIR}

.if ${MACHINE} == "sun4v"
CFLAGS+=-DSUN4V
.endif

SRCS=	kvm.c kvm_${MACHINE_ARCH}.c kvm_cptime.c kvm_file.c kvm_getloadavg.c \
	kvm_getswapinfo.c kvm_pcpu.c kvm_proc.c
.if ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386"
SRCS+=	kvm_minidump_${MACHINE_ARCH}.c
.endif
INCS=	kvm.h

MAN=	kvm.3 kvm_getcptime.3 kvm_geterr.3 kvm_getfiles.3 kvm_getloadavg.3 \
	kvm_getpcpu.3 kvm_getprocs.3 kvm_getswapinfo.3 kvm_nlist.3 kvm_open.3 \
	kvm_read.3

MLINKS+=kvm_getpcpu.3 kvm_getmaxcpu.3
MLINKS+=kvm_getprocs.3 kvm_getargv.3 kvm_getprocs.3 kvm_getenvv.3
MLINKS+=kvm_open.3 kvm_close.3 kvm_open.3 kvm_openfiles.3
MLINKS+=kvm_read.3 kvm_write.3

.include <bsd.lib.mk>

=== lib/libusbhid/Makefile ===
#	$NetBSD: Makefile,v 1.5 1999/07/23 09:44:38 mrg Exp $
#	$FreeBSD$

LIB=	usbhid
MAN=	usbhid.3

SHLIB_MAJOR= 3

MLINKS=	usbhid.3 libusbhid.3 usbhid.3 hid_get_report_desc.3 \
	usbhid.3 hid_dispose_report_desc.3 \
	usbhid.3 hid_start_parse.3 usbhid.3 hid_end_parse.3 \
	usbhid.3 hid_get_item.3 usbhid.3 hid_report_size.3 \
	usbhid.3 hid_locate.3 \
	usbhid.3 hid_usage_page.3 usbhid.3 hid_usage_in_page.3 \
	usbhid.3 hid_init.3 \
	usbhid.3 hid_get_data.3 usbhid.3 hid_set_data.3

SRCS=	descr.c parse.c usage.c data.c

INCS=	usbhid.h

.include <bsd.lib.mk>

## freebsd-libs 8.0

=== lib/libipx/Makefile ===
# $FreeBSD$

LIB=	ipx
SHLIBDIR?= /lib
SRCS=	ipx_addr.c ipx_ntoa.c
MAN=	ipx.3
MLINKS+=ipx.3 ipx_addr.3 ipx.3 ipx_ntoa.3

.include <bsd.lib.mk>

=== lib/libkiconv/Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 LIB=		kiconv
 SHLIBDIR?=	/lib
-SRCS=		xlat16_iconv.c xlat16_sysctl.c
+SRCS=		kiconv_sysctl.c xlat16_iconv.c xlat16_sysctl.c
 SRCS+=		quirks.c
 
-SHLIB_MAJOR=	3
+SHLIB_MAJOR=	4
 
 MAN=		kiconv.3

=== lib/libkvm/Makefile ===
--- 
+++ 
@@ -10,8 +10,8 @@
 .endif
 
 SRCS=	kvm.c kvm_${MACHINE_ARCH}.c kvm_cptime.c kvm_file.c kvm_getloadavg.c \
-	kvm_getswapinfo.c kvm_pcpu.c kvm_proc.c
-.if ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386"
+	kvm_getswapinfo.c kvm_pcpu.c kvm_proc.c kvm_vnet.c
+.if ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "arm"
 SRCS+=	kvm_minidump_${MACHINE_ARCH}.c
 .endif
 INCS=	kvm.h

## freebsd-libs 8.1

=== lib/libusb/Makefile ===
#
# $FreeBSD$
#
# Makefile for the FreeBSD specific LibUSB 2.0
#

LIB=		usb
SHLIB_MAJOR=	2
SHLIB_MINOR=	0
SRCS=		libusb20.c
SRCS+=		libusb20_desc.c
SRCS+=		libusb20_ugen20.c
INCS+=		libusb20.h
INCS+=		libusb20_desc.h
MAN=		libusb.3 libusb20.3
MKLINT=		no
NOGCCERROR=

MLINKS+=	libusb.3 usb.3

# libusb 0.1 compat
INCS+=		usb.h
SRCS+=		libusb20_compat01.c

# libusb 1.0 compat
INCS+=		libusb.h
SRCS+=		libusb10.c
SRCS+=		libusb10_desc.c
SRCS+=		libusb10_io.c

.include <bsd.lib.mk>

=== lib/libusbhid/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LIB=	usbhid
 MAN=	usbhid.3
 
-SHLIB_MAJOR= 3
+SHLIB_MAJOR= 4
 
 MLINKS=	usbhid.3 libusbhid.3 usbhid.3 hid_get_report_desc.3 \
 	usbhid.3 hid_dispose_report_desc.3 \
@@ -15,7 +15,7 @@
 	usbhid.3 hid_init.3 \
 	usbhid.3 hid_get_data.3 usbhid.3 hid_set_data.3
 
-SRCS=	descr.c parse.c usage.c data.c
+SRCS=	descr.c descr_compat.c parse.c usage.c data.c
 
 INCS=	usbhid.h

## freebsd-libs 8.2+ds1

=== debian/changelog ===
freebsd-libs (8.2+ds1-4) unstable; urgency=low

  * Include <stdint.h> in a few more headers that use uintxx_t types.
    (Closes: #634752)
  * Move libsbuf.so.0 to /lib (needed by /sbin/zfs and /sbin/zpool).
    (Closes: #637100)
  * Move libipx.so.2 to /lib (needed by ifconfig).

 -- Robert Millan <rmh@debian.org>  Mon, 08 Aug 2011 14:34:50 +0000

freebsd-libs (8.2+ds1-3) unstable; urgency=low

  * Remove hunk to include <sys/user.h> in subr_sbuf.c, as this breaks
    hurd-i386.
  * Replace 14_sbuf_page_size.diff with cherry-picked
    00_sbuf_page_size.diff from HEAD, which fixes the same problem
    differently.

 -- Robert Millan <rmh@debian.org>  Sun, 03 Jul 2011 19:03:40 +0200

freebsd-libs (8.2+ds1-2) unstable; urgency=low

  * Replace use of __aligned() in libusb.h and libusb20_desc.h.
    (Closes: #631544)
  * Build-Depend on libbsd-dev everywhere, not just [kfreebsd-any]
    (fixes FTBFS on non-kFreeBSD).
  * 14_sbuf_page_size.diff: PAGE_SIZE is not available on all
    platforms (fixes FTBFS on armel, ia64, powerpc, sparc).
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Jun 2011 17:53:53 +0200

freebsd-libs (8.2+ds1-1) unstable; urgency=low

  * Bump libgeom SOVERSION from 0 to 1 and rename package libgeom0 to
    libgeom1, due to ABI changes in ‘struct gprovider’. (Closes: #630107)
  * Add new libjail library packages. Based on a patch by Robert Millan.
    (Closes: #629521)
  * Update copyright holders and years in debian/copyright.
  * Integrate svn exports of single files into the main svn export loop.
  * Do not build profile libraries, which we don't use anyway.

 -- Guillem Jover <guillem@debian.org>  Wed, 15 Jun 2011 22:48:21 +0200

freebsd-libs (8.2-2) unstable; urgency=low

  * Switch to use the libbsd-overlay:
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Remove ‘XC-’ prefix from Package-Type field.
  * Make <sys/sbuf.h> usable:
    - Change __va_list to va_list.
    - Include <sys/types.h> and <stdarg.h>.

 -- Guillem Jover <guillem@debian.org>  Wed, 08 Jun 2011 03:37:15 +0200

freebsd-libs (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Robert Millan ]
  * Build libsbuf-dev on non-kFreeBSD systems.  (Closes: #602766)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Add myself to Uploaders.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS and PMAKE variables in debian/rules.
  * Intersperse Build-Depends description comments between the actual
    dependencies.
  * Set numeric user and group id to 0 for files in get-orig-source.
  * Add symbols files for all shared libraries.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 07:43:42 +0200

freebsd-libs (8.1-5) unstable; urgency=low

  * libusb2: fix USB devices detection. Closes: bug#594330.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Aug 2010 00:29:47 +0200

freebsd-libs (8.1-4) unstable; urgency=low

  * Add a libsbuf0-udeb package.
  * Add "(udeb)" to the short description of all udeb packages.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Aug 2010 20:01:41 +0200

freebsd-libs (8.1-3) unstable; urgency=low

  * Don't install libusbhid-dev link in libusb-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 31 Jul 2010 23:57:14 +0200

freebsd-libs (8.1-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Link all libraries dynamically with each other.
  * Don't install PIC variant of the static libraries.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 17:55:59 +0200

freebsd-libs (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * based on FreeBSD 8.1
    drop 13_libusb-update.diff, applied upstream
    update 09_libusbhid.diff

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.9.1.
  * Add a libusbhid-common package containing usb_hid_usages. Closes:
    bug#578678.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 28 Jul 2010 20:21:25 +0200

freebsd-libs (8.0-5) unstable; urgency=low

  [ Guillem Jover ]
  * Use kfreebsd-any instead of explicit architecture list.

  [ Aurelien Jarno ]
  * Add libgeom0 and libipx2 udeb packages.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 28 Jun 2010 23:10:06 +0200

freebsd-libs (8.0-4) unstable; urgency=low

  * libusb2-dev: add a libusb-1.0.so -> libusb.so symlink to make
    configure scripts happy.
  * Add patches/13_libusb-update.diff from upstream to update the API.
  * Add udeb package to libusb2's shlib.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 Jan 2010 14:17:42 +0100

freebsd-libs (8.0-3) unstable; urgency=low

  [ Petr Salinger ]
  * bump build-depends on kfreebsd-kernel-headers to (>= 0.45)
  * add libusb2 and libusb2-dev packages

  [ Aurelien Jarno ]
  * Make libusb2-dev conflict with libusb-dev.
  * Add a libusb2-udev package.
  * Add pkg-config files matching libusb 0.1/libusb 1.0.
  * Add a libusb-config script matching libusb 0.1.
  * Make libusb2-dev provides libusb-1.0-0-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 09 Dec 2009 02:03:24 +0100

freebsd-libs (8.0-2) unstable; urgency=low

  * Bump build-depends on kfreebsd-kernel-headers to (>= 0.43).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 22:42:32 +0100

freebsd-libs (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * based on FreeBSD 8.0
  * change packages name to reflect SONAME changes:
    - libusbhid3   -> libusbhid4
    - libkiconv3   -> libkiconv4
    - libdevstat6  -> libdevstat7
  * add libmemstat3 and libmemstat-dev packages
  * add libnetgraph4 and libnetgraph-dev packages

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 28 Nov 2009 10:42:15 +0100

freebsd-libs (7.2-4) unstable; urgency=low



=== debian/control ===
Source: freebsd-libs
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), pkg-config, freebsd-buildutils,
 libbsd-dev (>= 0.3.0),
 libc0.1-dev (>= 2.13-0exp2) [kfreebsd-any],
 libgdbm-dev [kfreebsd-any],
 kfreebsd-kernel-headers (>= 0.54) [kfreebsd-any],
# libexpat-dev: aka bsdxml. needed by libgeom
 libexpat-dev [kfreebsd-any]
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-libs/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-libs/
Standards-Version: 3.9.2

Package: libsbuf0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library
 This library provide a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.

Package: libsbuf0-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library (udeb)
 This library provide a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.
 .
 This is a minimal package for use in debian-installer.

Package: libsbuf-dev
Section: libdevel
Architecture: any
Depends: libsbuf0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: kfreebsd-kernel-headers
Description: Development files for libsbuf
 This package contains the header files and static library needed to
 compile applications that use libsbuf.

Package: libcam0
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD CAM (Common Access Method) library
 The CAM (Common Access Method) library provides a way for userland
 SCSI applications to construct a SCSI command.

Package: libcam-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libcam0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libcam
 This package contains the header files and static library needed to
 compile applications that use libcam.

Package: libgeom1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.

Package: libgeom-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libgeom1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libgeom
 This package contains the header files and static library needed to
 compile applications that use libgeom.

Package: libgeom1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library (udeb)
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: libusbhid4
Architecture: kfreebsd-any
Depends: libusbhid-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD library to access USB HID devices
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the header files and static library.

Package: libusbhid-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for the USB HID devices FreeBSD library
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the common files which the library need.

Package: libusbhid-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusbhid4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libusbhid
 This package contains the header files and static library needed to
 compile applications that use libusbhid.

Package: libusb2
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD userspace USB programming library
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.

Package: libusb2-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusb2 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Provides: libusb-1.0-0-dev
Conflicts: libusb-dev
Description: Development files for libusb2
 This package contains the header files and static library needed to
 compile applications that use libusb2.
 .
 It should be API compatible with both libusb-1.0 and libusb-0.1
 used on Linux.

Package: libusb2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for libusb2 (udeb)
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.
 .
 This is a minimal package for use in debian-installer.

Package: libkvm0
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kvm (kernel memory interface) library
 The kvm library provides a uniform interface for accessing kernel virtual
 memory images, including live systems and crash dumps.

Package: libkvm-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkvm0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libkvm
 This package contains the header files and static library needed to
 compile applications that use libkvm.

Package: libdevstat7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD devstat (kernel interface) library
 The devstat library provides a uniform interface for accessing kernel devstat
 interface.

Package: libdevstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libdevstat7 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
 libbsd-dev
Description: Development files for libdevstat
 This package contains the header files and static library needed to
 compile applications that use libdevstat.

Package: libmemstat3
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD memstat (kernel interface) library
 The memstat library provides a uniform interface for accessing kernel memstat
 interface.

Package: libmemstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libmemstat3 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
 libbsd-dev
Description: Development files for libmemstat
 This package contains the header files and static library needed to
 compile applications that use libmemstat.

Package: libnetgraph4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD memstat (kernel interface) library
 The netgraph library provides a uniform interface for accessing kernel netgraph
 interface.

Package: libnetgraph-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnetgraph4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libnetgraph
 This package contains the header files and static library needed to
 compile applications that use libnetgraph.

Package: libipx2
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library
 The IPX library provides a set of routune to convert IPX addresses.

Package: libipx-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libipx2 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libipx
 This package contains the header files and static library needed to
 compile applications that use libipx.

Package: libipx2-udeb
Section: debian-installer
Package-Type: udeb
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library (udeb)
 The IPX library provides a set of routune to convert IPX addresses.
 .
 This is a minimal package for use in debian-installer.

Package: libkiconv4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kernel side iconv library (udeb)
 The kiconv library provides multi-byte character conversion tables for kernel
 side iconv service.

Package: libkiconv-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkiconv4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libkiconv
 This package contains the header files and static library needed to
 compile applications that use libkiconv.

Package: libjail1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD jail library
 The jail library provides support for FreeBSD jails.

Package: libjail-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libjail1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libjail
 This package contains the header files and static library needed to
 compile applications that use libjail.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g -pipe -fPIC -I. -I$(CURDIR)/sys -D_GNU_SOURCE \
         $(shell pkg-config --cflags libbsd-overlay) \
         -D__va_list=__builtin_va_list

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

SOURCE = freebsd-libs
VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
#SVN = http://svn.freebsd.org/base/releng/8.1
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) make
export SHLIB_MAJOR = 0
kernel = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/share/misc
	mkdir -p $(ORIGDIR)/sys/kern
	mkdir -p $(ORIGDIR)/sys/sys
	for i in lib/libcam lib/libdevstat lib/libgeom lib/libipx \
	         lib/libkiconv lib/libnetgraph lib/libjail \
	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
	         lib/libusbhid sys/cam \
	         sys/kern/subr_sbuf.c \
	         sys/sys/sbuf.h \
	         share/misc/usb_hid_usages ; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
	rm -f $(ORIGDIR)/lib/libkvm/kvm_ia64.c
	rm -f $(ORIGDIR)/lib/libkvm/kvm_powerpc.c
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

ifeq ($(kernel), kfreebsd)
build: build-cam build-geom build-sbuf build-ipx build-kiconv build-kvm build-usbhid build-usb build-devstat build-memstat build-netgraph build-jail
else
build: build-sbuf
endif

build-cam: build-cam-stamp
build-cam-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libcam SHLIBDIR=./
	touch $@

build-geom: build-geom-stamp
build-geom-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libgeom SHLIBDIR=./
	touch $@

build-netgraph: build-netgraph-stamp
build-netgraph-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph SHLIBDIR=./
	touch $@

build-ipx: build-ipx-stamp
build-ipx-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libipx SHLIBDIR=./
	touch $@

build-kiconv: build-kiconv-stamp
build-kiconv-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkiconv SHLIBDIR=./
	touch $@

build-kvm: build-kvm-stamp
build-kvm-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkvm SHLIBDIR=./
	touch $@

build-devstat: build-devstat-stamp
build-devstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libdevstat SHLIBDIR=./
	touch $@

build-memstat: build-memstat-stamp
build-memstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libmemstat SHLIBDIR=./
	touch $@

build-sbuf: build-sbuf-stamp
build-sbuf-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libsbuf SHLIBDIR=./
	touch $@

build-usbhid: build-usbhid-stamp
build-usbhid-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusbhid SHLIBDIR=./
	touch $@

build-usb: build-usb-stamp
build-usb-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusb SHLIBDIR=./
	touch $@

build-jail: build-jail-stamp
build-jail-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(PMAKE) -C $(CURDIR)/lib/libsbuf clean
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam clean
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph clean
	$(PMAKE) -C $(CURDIR)/lib/libdevstat clean
	$(PMAKE) -C $(CURDIR)/lib/libmemstat clean
	$(PMAKE) -C $(CURDIR)/lib/libgeom clean
	$(PMAKE) -C $(CURDIR)/lib/libipx clean
	$(PMAKE) -C $(CURDIR)/lib/libkiconv clean
	$(PMAKE) -C $(CURDIR)/lib/libkvm clean
	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
	$(PMAKE) -C $(CURDIR)/lib/libusb clean
	$(PMAKE) -C $(CURDIR)/lib/libjail clean
endif
	rm -f *stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(DESTDIR)/lib $(DESTDIR)/usr/lib $(DESTDIR)/usr/include $(DESTDIR)/usr/share/man/man3
	$(PMAKE) -C $(CURDIR)/lib/libsbuf install SHLIBDIR=/lib
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libgeom install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libipx install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libkiconv install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libkvm install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libdevstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libmemstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusbhid install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusb install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libjail install SHLIBDIR=/lib

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	install -m644 debian/libusb*.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	install -m755 debian/libusb-config $(CURDIR)/debian/tmp/usr/bin
endif

	dh_install --list-missing

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
ifeq ($(kernel), kfreebsd)
	dh_makeshlibs -plibgeom1 --add-udeb=libgeom1-udeb
	dh_makeshlibs -plibipx2 --add-udeb=libipx2-udeb
	dh_makeshlibs -plibsbuf0 --add-udeb=libsbuf0-udeb
	dh_makeshlibs -plibusb2 --add-udeb=libusb2-udeb
endif
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## freebsd-libs 8.3~svn229725

=== lib/libcam/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 LIB=		cam
 SHLIBDIR?=	/lib
-SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c
+SRCS=		camlib.c scsi_cmdparse.c scsi_all.c scsi_da.c scsi_sa.c cam.c \
+		ata_all.c
 INCS=		camlib.h
 
 DPADD=		${LIBSBUF}
@@ -34,7 +35,8 @@
 		cam_cdbparse.3 csio_encode_visit.3 \
 		cam_cdbparse.3 buff_encode_visit.3
 
-.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam
+.PATH:		${.CURDIR}/../../sys/cam/scsi ${.CURDIR}/../../sys/cam/ata \
+		${.CURDIR}/../../sys/cam
 
 SDIR=		${.CURDIR}/../../sys
 CFLAGS+=	-I${.CURDIR} -I${SDIR}

=== lib/libdevstat/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LIB=	devstat
 SHLIBDIR?= /lib
 # Bump DEVSTAT_USER_API_VER in devstat.h every time this is incremented.
-SHLIB_MAJOR= 6
+SHLIB_MAJOR= 7
 SRCS=	devstat.c
 INCS=	devstat.h

=== lib/libjail/Makefile ===
# $FreeBSD$

LIB=	jail
SHLIBDIR?= /lib
SHLIB_MAJOR= 1
SRCS=	jail.c jail_getid.c
INCS=	jail.h

MAN=	jail.3

MLINKS+=jail.3 jail_getid.3
MLINKS+=jail.3 jail_getname.3
MLINKS+=jail.3 jail_getv.3
MLINKS+=jail.3 jail_setv.3
MLINKS+=jail.3 jailparam.3
MLINKS+=jail.3 jailparam_all.3
MLINKS+=jail.3 jailparam_init.3
MLINKS+=jail.3 jailparam_import.3
MLINKS+=jail.3 jailparam_import_raw.3
MLINKS+=jail.3 jailparam_get.3
MLINKS+=jail.3 jailparam_set.3
MLINKS+=jail.3 jailparam_export.3
MLINKS+=jail.3 jailparam_free.3

CFLAGS+=-I${.CURDIR}

WARNS?=	6

.include <bsd.lib.mk>

=== lib/libkvm/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 SRCS=	kvm.c kvm_${MACHINE_ARCH}.c kvm_cptime.c kvm_file.c kvm_getloadavg.c \
 	kvm_getswapinfo.c kvm_pcpu.c kvm_proc.c kvm_vnet.c
-.if ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "arm"
+.if ${MACHINE_ARCH} == "amd64" || ${MACHINE_ARCH} == "i386" || \
+${MACHINE_ARCH} == "arm" || ${MACHINE_ARCH} == "mips"
 SRCS+=	kvm_minidump_${MACHINE_ARCH}.c
 .endif
 INCS=	kvm.h
@@ -21,6 +22,7 @@
 	kvm_read.3
 
 MLINKS+=kvm_getpcpu.3 kvm_getmaxcpu.3
+MLINKS+=kvm_getpcpu.3 kvm_dpcpu_setcpu.3
 MLINKS+=kvm_getprocs.3 kvm_getargv.3 kvm_getprocs.3 kvm_getenvv.3
 MLINKS+=kvm_open.3 kvm_close.3 kvm_open.3 kvm_openfiles.3
 MLINKS+=kvm_read.3 kvm_write.3

=== lib/libsbuf/Makefile ===
# $FreeBSD$

LIB=	sbuf
SHLIBDIR?= /lib
SRCS=	subr_sbuf.c 
WARNS?= 2

.PATH:	${.CURDIR}/../../sys/kern

.include <bsd.lib.mk>

=== lib/libusb/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # libusb 0.1 compat
 INCS+=		usb.h
-SRCS+=		libusb20_compat01.c
+SRCS+=		libusb01.c
 
 # libusb 1.0 compat
 INCS+=		libusb.h
@@ -28,5 +28,190 @@
 SRCS+=		libusb10_desc.c
 SRCS+=		libusb10_io.c
 
+.if defined(COMPAT_32BIT)
+CFLAGS+=	-DCOMPAT_32BIT
+.endif
+
 .include <bsd.lib.mk>
 
+# LibUSB v1.0
+MLINKS += libusb.3 libusb_init.3
+MLINKS += libusb.3 libusb_exit.3
+MLINKS += libusb.3 libusb_strerror.3
+MLINKS += libusb.3 libusb_error_name.3
+MLINKS += libusb.3 libusb_set_debug.3
+MLINKS += libusb.3 libusb_get_device_list.3
+MLINKS += libusb.3 libusb_free_device_list.3
+MLINKS += libusb.3 libusb_get_bus_number.3
+MLINKS += libusb.3 libusb_get_device_address.3
+MLINKS += libusb.3 libusb_get_device_speed.3
+MLINKS += libusb.3 libusb_get_max_packet_size.3
+MLINKS += libusb.3 libusb_ref_device.3
+MLINKS += libusb.3 libusb_unref_device.3
+MLINKS += libusb.3 libusb_open.3
+MLINKS += libusb.3 libusb_open_device_with_vid_pid.3
+MLINKS += libusb.3 libusb_close.3
+MLINKS += libusb.3 libusb_get_device.3
+MLINKS += libusb.3 libusb_get_configuration.3
+MLINKS += libusb.3 libusb_set_configuration.3
+MLINKS += libusb.3 libusb_claim_interface.3
+MLINKS += libusb.3 libusb_release_interface.3
+MLINKS += libusb.3 libusb_set_interface_alt_setting.3
+MLINKS += libusb.3 libusb_clear_halt.3
+MLINKS += libusb.3 libusb_reset_device.3
+MLINKS += libusb.3 libusb_check_connected.3
+MLINKS += libusb.3 libusb_kernel_driver_active.3
+MLINKS += libusb.3 libusb_get_driver.3
+MLINKS += libusb.3 libusb_get_driver_np.3
+MLINKS += libusb.3 libusb_detach_kernel_driver.3
+MLINKS += libusb.3 libusb_detach_kernel_driver_np.3
+MLINKS += libusb.3 libusb_attach_kernel_driver.3
+MLINKS += libusb.3 libusb_get_device_descriptor.3
+MLINKS += libusb.3 libsub_get_active_config_descriptor.3
+MLINKS += libusb.3 libusb_get_config_descriptor.3
+MLINKS += libusb.3 libusb_get_config_descriptor_by_value.3
+MLINKS += libusb.3 libusb_free_config_descriptor.3
+MLINKS += libusb.3 libusb_get_string_descriptor_ascii.3
+MLINKS += libusb.3 libusb_parse_ss_endpoint_comp.3
+MLINKS += libusb.3 libusb_free_ss_endpoint_comp.3
+MLINKS += libusb.3 libusb_parse_bos_descriptor.3
+MLINKS += libusb.3 libusb_free_bos_descriptor.3
+MLINKS += libusb.3 libusb_alloc_transfer.3
+MLINKS += libusb.3 libusb_free_transfer.3
+MLINKS += libusb.3 libusb_submit_transfer.3
+MLINKS += libusb.3 libusb_cancel_transfer.3
+MLINKS += libusb.3 libusb_control_transfer.3
+MLINKS += libusb.3 libusb_bulk_transfer.3
+MLINKS += libusb.3 libusb_interrupt_transfer.3
+MLINKS += libusb.3 libusb_try_lock_events.3
+MLINKS += libusb.3 libusb_lock_events.3
+MLINKS += libusb.3 libusb_unlock_events.3
+MLINKS += libusb.3 libusb_event_handling_ok.3
+MLINKS += libusb.3 libusb_event_handler_active.3
+MLINKS += libusb.3 libusb_lock_event_waiters.3
+MLINKS += libusb.3 libusb_unlock_event_waiters.3
+MLINKS += libusb.3 libusb_wait_for_event.3
+MLINKS += libusb.3 libusb_handle_events_timeout.3
+MLINKS += libusb.3 libusb_handle_events.3
+MLINKS += libusb.3 libusb_handle_events_locked.3
+MLINKS += libusb.3 libusb_get_next_timeout.3
+MLINKS += libusb.3 libusb_set_pollfd_notifiers.3
+MLINKS += libusb.3 libusb_get_pollfds.3
+
+# LibUSB v0.1
+MLINKS += libusb.3 usb_open.3
+MLINKS += libusb.3 usb_close.3
+MLINKS += libusb.3 usb_get_string.3
+MLINKS += libusb.3 usb_get_string_simple.3
+MLINKS += libusb.3 usb_get_descriptor_by_endpoint.3
+MLINKS += libusb.3 usb_get_descriptor.3
+MLINKS += libusb.3 usb_parse_descriptor.3
+MLINKS += libusb.3 usb_parse_configuration.3
+MLINKS += libusb.3 usb_destroy_configuration.3
+MLINKS += libusb.3 usb_fetch_and_parse_descriptors.3
+MLINKS += libusb.3 usb_bulk_write.3
+MLINKS += libusb.3 usb_bulk_read.3
+MLINKS += libusb.3 usb_interrupt_write.3
+MLINKS += libusb.3 usb_interrupt_read.3
+MLINKS += libusb.3 usb_control_msg.3
+MLINKS += libusb.3 usb_set_configuration.3
+MLINKS += libusb.3 usb_claim_interface.3
+MLINKS += libusb.3 usb_release_interface.3
+MLINKS += libusb.3 usb_set_altinterface.3
+MLINKS += libusb.3 usb_resetep.3
+MLINKS += libusb.3 usb_clear_halt.3
+MLINKS += libusb.3 usb_reset.3
+MLINKS += libusb.3 usb_strerror.3
+MLINKS += libusb.3 usb_init.3
+MLINKS += libusb.3 usb_set_debug.3
+MLINKS += libusb.3 usb_find_busses.3
+MLINKS += libusb.3 usb_find_devices.3
+MLINKS += libusb.3 usb_device.3
+MLINKS += libusb.3 usb_get_busses.3
+MLINKS += libusb.3 usb_check_connected.3
+
+# LibUSB v2.0
+MLINKS += libusb20.3 libusb20_tr_close.3
+MLINKS += libusb20.3 libusb20_tr_open.3
+MLINKS += libusb20.3 libusb20_tr_get_pointer.3
+MLINKS += libusb20.3 libusb20_tr_get_time_complete.3
+MLINKS += libusb20.3 libusb20_tr_get_actual_frames.3
+MLINKS += libusb20.3 libusb20_tr_get_actual_length.3
+MLINKS += libusb20.3 libusb20_tr_get_max_frames.3
+MLINKS += libusb20.3 libusb20_tr_get_max_packet_length.3
+MLINKS += libusb20.3 libusb20_tr_get_max_total_length.3
+MLINKS += libusb20.3 libusb20_tr_get_status.3
+MLINKS += libusb20.3 libusb20_tr_pending.3
+MLINKS += libusb20.3 libusb20_tr_callback_wrapper.3
+MLINKS += libusb20.3 libusb20_tr_clear_stall_sync.3
+MLINKS += libusb20.3 libusb20_tr_drain.3
+MLINKS += libusb20.3 libusb20_tr_set_buffer.3
+MLINKS += libusb20.3 libusb20_tr_set_callback.3
+MLINKS += libusb20.3 libusb20_tr_set_flags.3
+MLINKS += libusb20.3 libusb20_tr_get_length.3
+MLINKS += libusb20.3 libusb20_tr_set_length.3
+MLINKS += libusb20.3 libusb20_tr_set_priv_sc0.3
+MLINKS += libusb20.3 libusb20_tr_set_priv_sc1.3
+MLINKS += libusb20.3 libusb20_tr_set_timeout.3
+MLINKS += libusb20.3 libusb20_tr_set_total_frames.3
+MLINKS += libusb20.3 libusb20_tr_setup_bulk.3
+MLINKS += libusb20.3 libusb20_tr_setup_control.3
+MLINKS += libusb20.3 libusb20_tr_setup_intr.3
+MLINKS += libusb20.3 libusb20_tr_setup_isoc.3
+MLINKS += libusb20.3 libusb20_tr_bulk_intr_sync.3
+MLINKS += libusb20.3 libusb20_tr_start.3
+MLINKS += libusb20.3 libusb20_tr_stop.3
+MLINKS += libusb20.3 libusb20_tr_submit.3
+MLINKS += libusb20.3 libusb20_tr_get_priv_sc0.3
+MLINKS += libusb20.3 libusb20_tr_get_priv_sc1.3
+MLINKS += libusb20.3 libusb20_dev_get_backend_name.3
+MLINKS += libusb20.3 libusb20_dev_get_info.3
+MLINKS += libusb20.3 libusb20_dev_get_iface_desc.3
+MLINKS += libusb20.3 libusb20_dev_get_desc.3
+MLINKS += libusb20.3 libusb20_dev_close.3
+MLINKS += libusb20.3 libusb20_dev_detach_kernel_driver.3
+MLINKS += libusb20.3 libusb20_dev_set_config_index.3
+MLINKS += libusb20.3 libusb20_dev_get_debug.3
+MLINKS += libusb20.3 libusb20_dev_get_fd.3
+MLINKS += libusb20.3 libusb20_dev_kernel_driver_active.3
+MLINKS += libusb20.3 libusb20_dev_open.3
+MLINKS += libusb20.3 libusb20_dev_process.3
+MLINKS += libusb20.3 libusb20_dev_request_sync.3
+MLINKS += libusb20.3 libusb20_dev_req_string_sync.3
+MLINKS += libusb20.3 libusb20_dev_req_string_simple_sync.3
+MLINKS += libusb20.3 libusb20_dev_reset.3
+MLINKS += libusb20.3 libusb20_dev_check_connected.3
+MLINKS += libusb20.3 libusb20_dev_set_power_mode.3
+MLINKS += libusb20.3 libusb20_dev_get_power_mode.3
+MLINKS += libusb20.3 libusb20_dev_set_alt_index.3
+MLINKS += libusb20.3 libusb20_dev_get_device_desc.3
+MLINKS += libusb20.3 libusb20_dev_alloc_config.3
+MLINKS += libusb20.3 libusb20_dev_alloc.3
+MLINKS += libusb20.3 libusb20_dev_get_address.3
+MLINKS += libusb20.3 libusb20_dev_get_parent_address.3
+MLINKS += libusb20.3 libusb20_dev_get_parent_port.3
+MLINKS += libusb20.3 libusb20_dev_get_bus_number.3
+MLINKS += libusb20.3 libusb20_dev_get_mode.3
+MLINKS += libusb20.3 libusb20_dev_get_speed.3
+MLINKS += libusb20.3 libusb20_dev_get_config_index.3
+MLINKS += libusb20.3 libusb20_dev_free.3
+MLINKS += libusb20.3 libusb20_dev_set_debug.3
+MLINKS += libusb20.3 libusb20_dev_wait_process.3
+MLINKS += libusb20.3 libusb20_be_get_template.3
+MLINKS += libusb20.3 libusb20_be_set_template.3
+MLINKS += libusb20.3 libusb20_be_get_dev_quirk.3
+MLINKS += libusb20.3 libusb20_be_get_quirk_name.3
+MLINKS += libusb20.3 libusb20_be_add_dev_quirk.3
+MLINKS += libusb20.3 libusb20_be_remove_dev_quirk.3
+MLINKS += libusb20.3 libusb20_be_alloc_default.3
+MLINKS += libusb20.3 libusb20_be_device_foreach.3
+MLINKS += libusb20.3 libusb20_be_dequeue_device.3
+MLINKS += libusb20.3 libusb20_be_enqueue_device.3
+MLINKS += libusb20.3 libusb20_be_free.3
+MLINKS += libusb20.3 libusb20_me_get_1.3
+MLINKS += libusb20.3 libusb20_me_get_2.3
+MLINKS += libusb20.3 libusb20_me_encode.3
+MLINKS += libusb20.3 libusb20_me_decode.3
+MLINKS += libusb20.3 libusb20_desc_foreach.3
+MLINKS += libusb20.3 libusb20_strerror.3
+MLINKS += libusb20.3 libusb20_error_name.3

=== lib/libalias/libalias/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../sys/netinet/libalias

LIB=	alias
SHLIBDIR?= /lib
SHLIB_MAJOR= 7
MAN=	libalias.3
SRCS=	alias.c alias_db.c alias_proxy.c alias_util.c alias_mod.c
INCS=	alias.h
WARNS?=	6
NO_WERROR=

.include <bsd.lib.mk>

=== debian/changelog ===
freebsd-libs (8.3~svn229725-3) unstable; urgency=low

  * Remove 15_kkh_kludge.diff, depend on recent k-k-h instead.
  * cpumask_t.diff: Workaround for removal of cpumask_t in kfreebsd-9
    headers.
  * cdefs_macros.diff: Replace all use of BSDish cdefs macros that
    affect exported headers.  (Closes: #656562)

 -- Robert Millan <rmh@debian.org>  Sat, 21 Jan 2012 01:21:17 +0100

freebsd-libs (8.3~svn229725-2) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Sat, 14 Jan 2012 21:42:00 +0100

freebsd-libs (8.3~svn229725-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 18:42:53 +0100

freebsd-libs (8.2+ds2-2) unstable; urgency=low

  * Build-depend on libncurses5-dev (for libalias).
  * Fix undefined reference to ip_next. Thanks Christoph Egger.
    (Closes: #654581)

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 16:20:31 +0100

freebsd-libs (8.2+ds2-1) unstable; urgency=low

  * Add libalias, using patch from Christoph Egger with some adjustments.
    (Closes: #653193)

 -- Robert Millan <rmh@debian.org>  Sun, 01 Jan 2012 15:37:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
-Build-Depends: debhelper (>= 7), pkg-config, freebsd-buildutils,
+Build-Depends: debhelper (>= 7), pkg-config, freebsd-buildutils (>= 9),
  libbsd-dev (>= 0.3.0),
  libc0.1-dev (>= 2.13-0exp2) [kfreebsd-any],
  libgdbm-dev [kfreebsd-any],
- kfreebsd-kernel-headers (>= 0.54) [kfreebsd-any],
+ kfreebsd-kernel-headers (>= 0.63) [kfreebsd-any],
 # libexpat-dev: aka bsdxml. needed by libgeom
- libexpat-dev [kfreebsd-any]
+ libexpat-dev [kfreebsd-any],
+# libncurses5-dev: needed by libalias
+ libncurses5-dev [kfreebsd-any],
 Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-libs/
 Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-libs/
 Standards-Version: 3.9.2
@@ -259,3 +261,19 @@
 Description: Development files for libjail
  This package contains the header files and static library needed to
  compile applications that use libjail.
+
+Package: libalias7
+Architecture: kfreebsd-any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: FreeBSD packet aliasing library
+ The libalias library is a collection of functions for aliasing and
+ dealiasing of IP packets, intended for masquerading and network address
+ translation (NAT).
+
+Package: libalias-dev
+Section: libdevel
+Architecture: kfreebsd-any
+Depends: libalias7 (= ${binary:Version}), ${misc:Depends}
+Description: Development files for libalias
+ This package contains the header files and static library needed to
+ compile applications that use libalias.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,13 @@
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
+
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+major		:= $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
 
 CFLAGS = -Wall -g -pipe -fPIC -I. -I$(CURDIR)/sys -D_GNU_SOURCE \
          $(shell pkg-config --cflags libbsd-overlay) \
@@ -21,16 +28,16 @@
 endif
 
 SOURCE = freebsd-libs
-VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
-SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
-SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
-#SVN = http://svn.freebsd.org/base/releng/8.1
-ORIGDIR = $(SOURCE)-$(VERSION)
-TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
+#SVN		:= http://svn.freebsd.org/base/release/$(version).0
+#SVN		:= http://svn.freebsd.org/base/releng/$(version)
+SVN		:= http://svn.freebsd.org/base/stable/$(major)
+#SVN		:= http://svn.freebsd.org/base/head
+ORIGDIR = $(SOURCE)-$(tar_version)
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
 
 PATH := /usr/lib/freebsd:$(PATH)
 DESTDIR = $(CURDIR)/debian/tmp
-PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS)" NO_WERROR=1 NOGCCERROR=1 \
+PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) -isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include" NO_WERROR=1 NOGCCERROR=1 \
         NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) make
 export SHLIB_MAJOR = 0
 kernel = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -44,10 +51,11 @@
 	         lib/libkiconv lib/libnetgraph lib/libjail \
 	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
 	         lib/libusbhid sys/cam \
+		lib/libalias sys/netinet/libalias sys/modules/libalias \
 	         sys/kern/subr_sbuf.c \
 	         sys/sys/sbuf.h \
 	         share/misc/usb_hid_usages ; do \
-	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
+	    svn export -r $(svn_revision) $(SVN)/$$i $(ORIGDIR)/$$i ; \
 	done
 	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
 	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
@@ -57,7 +65,7 @@
 	rm -rf $(ORIGDIR)
 
 ifeq ($(kernel), kfreebsd)
-build: build-cam build-geom build-sbuf build-ipx build-kiconv build-kvm build-usbhid build-usb build-devstat build-memstat build-netgraph build-jail
+build: build-cam build-geom build-sbuf build-ipx build-kiconv build-kvm build-usbhid build-usb build-devstat build-memstat build-netgraph build-jail build-alias
 else
 build: build-sbuf
 endif
@@ -120,6 +128,11 @@
 build-jail: build-jail-stamp
 build-jail-stamp:
 	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
+	touch $@
+
+build-alias: build-alias-stamp
+build-alias-stamp:
+	$(PMAKE) -C $(CURDIR)/lib/libalias SHLIBDIR=./
 	touch $@
 
 clean:
@@ -138,6 +151,7 @@
 	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
 	$(PMAKE) -C $(CURDIR)/lib/libusb clean
 	$(PMAKE) -C $(CURDIR)/lib/libjail clean
+	$(PMAKE) -C $(CURDIR)/lib/libalias clean
 endif
 	rm -f *stamp
 	dh_clean
@@ -162,6 +176,7 @@
 	$(PMAKE) -C $(CURDIR)/lib/libusbhid install SHLIBDIR=/usr/lib
 	$(PMAKE) -C $(CURDIR)/lib/libusb install SHLIBDIR=/lib
 	$(PMAKE) -C $(CURDIR)/lib/libjail install SHLIBDIR=/lib
+	$(PMAKE) -C $(CURDIR)/lib/libalias install SHLIBDIR=/usr/lib
 
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
 	install -m644 debian/libusb*.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig
